### Method

# Adw Bannerset_button_label

since: 1.3

#### Declaration [src]

    void
    adw_banner_set_button_label (
      AdwBanner* self,
      const char* label
    )

#### Description [src]

Sets the button label for `self`.

If set to `""` or `NULL`, the button won’t be shown.

The button can be used with a `GAction`, or with the `AdwBanner::button-clicked` signal.

Available since: 1.3

Sets property | `Adw.Banner:button-label`

#### Parameters

`label`

  Type: `const char*`

  The label.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.